.canvas {
    position: relative;
    
    width: 500px;
    height: 380px;
    margin: 80px 0 0 0;
    
    transition: .3s ease;
    
    perspective: 800px;
}

.box_front {
    position: relative;
    
    overflow: hidden;
    
    width: 500px;
    height: 380px;
    
    background: skyblue;
    box-shadow: 0 -400px 300px -300px steelblue inset;

    /*my*/
    transition-duration: 15s; 
    animation: animation-sky 15s infinite normal linear;
}
@keyframes animation-sky {
    0%, 100% {
      background: skyblue;
      box-shadow: 0 -400px 300px -300px steelblue inset;  
    }
    50% {
        background: darkslateblue;
        box-shadow: 0 -400px 300px -300px orangered inset;
    }
    75% {
        background: darkslateblue;
        box-shadow: 0 -400px 300px -300px transparent inset;
    }
}
/*TODO
Цвета неба задаются следующими свойствами:
    День:
        background: skyblue;
        box-shadow: 0 -400px 300px -300px steelblue inset;
    Вечер:
        background: darkslateblue;
        box-shadow: 0 -400px 300px -300px orangered inset;
    Ночь:
        background: darkslateblue;
        box-shadow: 0 -400px 300px -300px transparent inset;
        
Нужно реализовать плавный переход между ними и зациклить его.
*/

.ship::after {
    position: absolute;
    bottom: 0;
    left: 0;
    
    width: 100px;
    height: 20px;
    
    content: '';
    
    border-radius: 0 0 0 20px;
    background: #e25c45;
}

.ship::before {
    position: absolute;
    top: 0;
    left: 10px;
    
    width: 65px;
    height: 16px;
    
    content: '';
    
    border-radius: 20px 0 0 0;
    background: #fff;
}

.ship {
    position: absolute;
    right: 0;
    bottom: 30px;
    
    width: 100px;
    height: 36px;
    /*my*/
    transition-duration: 15s; 
    animation: animation-ship 15s infinite normal linear;
}
@keyframes animation-ship {
    0% {
        transform: translateX(100%);
    }
    100% {
        transform: translateX(-500%);
    }
} 

.ship_smokestack {
    position: absolute;
    bottom: 36px;
    left: 45px;
    
    width: 10px;
    height: 17px;
    
    background: #a18e6e;
}

.ship_window {
    position: absolute;
    top: 6px;
    left: 40px;
    
    width: 7px;
    height: 7px;
    
    border-radius: 50%;
    background: #a18e6e;
    box-shadow: 13px 0 0 0 #a18e6e, -13px 0 0 0 #a18e6e;
}

.smoke div {
    position: absolute;
    
    width: 7px;
    height: 7px;
    
    border-radius: 50%;
    background: #fff;
}

.smoke-1 {
    top: -25px;
    right: 44px;
    /*my*/
    
    animation: animation-smoke-1 2s infinite normal linear;
}
@keyframes animation-smoke-1 {
    0% {
        transform: translateY(-10%) scale(0.5);
        opacity: 1;
    }
    25% {
        transform: translateY(-100%) scale(0.75);
        opacity: .8;
}
    50% {
        transform: translateY(-150%) scale(1.00);
        opacity: .5;
    }
    75% {
        transform: translateY(-270%) scale(1.50);
        opacity: .3;
}
    100% {
        transform: translateY(-450%) scale(2.00);
        opacity: .1;
    }
} 


.smoke-2 {
    top: -25px;
    right: 42px;
    /*my*/
    
    animation: animation-smoke-2 3s infinite normal linear;
}
@keyframes animation-smoke-2 {
    0% {
        transform: translateY(-20%) scale(0.5);
        opacity: 1;
    }
    30% {
        transform: translateY(-110%) scale(0.75);
        opacity: .8;
}
    57% {
        transform: translateY(-150%) scale(1.00);
        opacity: .5;
    }
    70% {
        transform: translateY(-270%) scale(1.50);
        opacity: .3;
}
    100% {
        transform: translateY(-470%) scale(2.00);
        opacity: .1;
    }
} 

.smoke-3 {
    top: -25px;
    right: 49px;
/*my*/
    animation: animation-smoke-3 4s infinite normal linear;
}
@keyframes animation-smoke-3 {
    0% {
        transform: translateY(-50%) scale(0.5);
        opacity: 1;
    }
    30% {
        transform: translateY(-100%) scale(0.75);
        opacity: .8;
}
    57% {
        transform: translateY(-140%) scale(1.00);
        opacity: .5;
    }
    70% {
        transform: translateY(-220%) scale(1.50);
        opacity: .3;
}
    100% {
        transform: translateY(-400%) scale(2.00);
        opacity: .1;
    }
}

.sun {
    position: absolute;
    top: 30px;
    right: 50%;
    
    width: 80px;
    height: 80px;
    
    border-radius: 50%;
    background: #ffcf11;
    box-shadow: 0 0 100px #ffdf05;
}

.sun-wrapper {
    position: absolute;
    
    width: 100%;
    height: 100%;
    
    transform-origin: bottom center;
    /*my*/
    animation: animation-sun 17s infinite normal ease-in-out;
}
@keyframes animation-sun {
    0% {
    transform: rotate(1turn);
    }
    100% {
    transform: rotate(2turn);
    } 
}

.sun div {
    position: absolute;
    top: -20px;
    left: 50%;
    
    width: 2px;
    height: 100px;
    margin-left: -1px;
    
    border: solid #ffcf11;
    border-width: 10px 0 10px 0;
    /*my*/
    animation: animation-sun1 5s infinite normal linear;
   }
@keyframes animation-sun1 {
    0% {
    transform: rotate(1deg);
    }
    100% {
    transform: rotate(361deg);
    } 
}

.sun div:nth-child(2) {
    transform: rotate(18deg);
    /*my*/
    animation: animation-sun2 5s infinite normal linear;
}
@keyframes animation-sun2 {
    0% {
    transform: rotate(18deg);
    }
    100% {
    transform: rotate(378deg);
    } 
}

.sun div:nth-child(3) {
    transform: rotate(36deg);
    /*my*/
    animation: animation-sun3 5s infinite normal linear;
}
@keyframes animation-sun3 {
    0% {
    transform: rotate(36deg);
    }
    100% {
    transform: rotate(396deg);
    } 
}

.sun div:nth-child(4) {
    transform: rotate(54deg);
    /*my*/
    animation: animation-sun4 5s infinite normal linear;
}
@keyframes animation-sun4 {
    0% {
    transform: rotate(54deg);
    }
    100% {
    transform: rotate(414deg);
    } 
}

.sun div:nth-child(5) {
    transform: rotate(72deg);
    /*my*/
    animation: animation-sun5 5s infinite normal linear;
}
@keyframes animation-sun5 {
    0% {
    transform: rotate(72deg);
    }
    100% {
    transform: rotate(432deg);
    } 
}

.sun div:nth-child(6) {
    transform: rotate(90deg);
    /*my*/
    animation: animation-sun6 5s infinite normal linear;
}
@keyframes animation-sun6 {
    0% {
    transform: rotate(90deg);
    }
    100% {
    transform: rotate(450deg);
    } 
}

.sun div:nth-child(7) {
    transform: rotate(-18deg);
    /*my*/
    animation: animation-sun7 5s infinite normal linear;
}
@keyframes animation-sun7 {
    0% {
    transform: rotate(-18deg);
    }
    100% {
    transform: rotate(342deg);
    } 
}

.sun div:nth-child(8) {
    transform: rotate(-36deg);
    /*my*/
    animation: animation-sun8 5s infinite normal linear;
}
@keyframes animation-sun8 {
    0% {
    transform: rotate(-36deg);
    }
    100% {
    transform: rotate(324deg);
    } 
}

.sun div:nth-child(9) {
    transform: rotate(-54deg);
    /*my*/
    animation: animation-sun9 5s infinite normal linear;
}
@keyframes animation-sun9 {
    0% {
    transform: rotate(-54deg);
    }
    100% {
    transform: rotate(306deg);
    } 
}

.sun div:nth-child(10) {
    transform: rotate(-72deg);
    /*my*/
    animation: animation-sun10 5s infinite normal linear;
}
@keyframes animation-sun10 {
    0% {
    transform: rotate(-72deg);
    }
    100% {
    transform: rotate(288deg);
    } 
}


.cloud {
    position: absolute;
    left: -180px;
    
    width: 200px;
    height: 60px;
    
    opacity: .8;
    border-radius: 200px;
    background: #fff;
}

.cloud:before,
.cloud:after {
    position: absolute;
    top: -15px;
    left: 10px;
    
    width: 100px;
    height: 80px;
    
    content: '';
    
    border-radius: 100px;
    background: #fff;
}

.cloud:after {
    top: -55px;
    right: 15px;
    left: auto;
    
    width: 120px;
    height: 120px;
}

.cloud-1 {
    top: 10px;
    transform: scale(0.3);
    animation: clouds 67s linear -32s infinite;
}

.cloud-2 {
    top: 50px;
    transform: rotateY(180deg) scale(0.4);
    animation: clouds 40s linear 4s infinite;

}

.cloud-3 {
    top: 100px;
    transform: scale(0.5);
    animation: clouds 27s linear -19s infinite;
}

.cloud-4 {
    top: 170px;
    transform: rotateY(180deg) scale(0.6);
    animation: clouds 20s linear infinite;
}


@keyframes clouds {
    to {
        left: 700px;
    }
}

.sea {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    
    height: 40px;
    
    opacity: .8;
    background: #2a94d6;
}

.sea::after {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    
    height: 10px;
    
    content: '';
    
    background: #1d7fbb;
}
